diff --git a/_resources/port1.0/group/kde4-1.1.tcl b/_resources/port1.0/group/kde4-1.1.tcl
index ab51fc8..f3e9409 100644
--- a/_resources/port1.0/group/kde4-1.1.tcl
+++ b/_resources/port1.0/group/kde4-1.1.tcl
@@ -125,11 +125,12 @@ configure.args-append   -DDOCBOOKXSL_DIR=${prefix}/share/xsl/docbook-xsl \
                         -DPNG_INCLUDE_DIR=${prefix}/include \
                         -DPNG_PNG_INCLUDE_DIR=${prefix}/include \
                         -DPNG_LIBRARY=${prefix}/lib/libpng.dylib \
-                        -DQCA2_INCLUDE_DIR=${prefix}/include/QtCrypto \
-                        -DQCA2_LIBRARIES=${prefix}/lib/libqca.dylib \
                         -DTIFF_INCLUDE_DIR=${prefix}/include \
                         -DTIFF_LIBRARY=${prefix}/lib/libtiff.dylib
 
+#                        -DQCA2_INCLUDE_DIR=${prefix}/include/QtCrypto \
+#                        -DQCA2_LIBRARIES=${prefix}/lib/libqca.dylib \
+
 # standard variant for building documentation
 variant docs description "Build documentation" {
     depends_lib-append      port:doxygen
diff --git a/_resources/port1.0/group/qt4-1.0.tcl b/_resources/port1.0/group/qt4-1.0.tcl
index baea318..9bcffc9 100644
--- a/_resources/port1.0/group/qt4-1.0.tcl
+++ b/_resources/port1.0/group/qt4-1.0.tcl
@@ -51,94 +51,131 @@ Qt4 must also be installed with +debug.\n"
     }
 }
 
+if {[info exists name] && ${subport} ne "${name}-transitional"} {
+    # exclusive mode doesn't make sense for the transitional subport ...
+    variant exclusive description {Builds and installs Qt4-mac the older way, such that other Qt versions can NOT be installed alongside it} {}
+}
+
 # standard Qt4 name
 global qt_name
 set qt_name             qt4
 
 # standard install directory
-global qt_dir
-set qt_dir              ${prefix}/libexec/${qt_name}
-
+    global qt_dir
+    global qt_dir_rel
 # standard Qt documents directory
-global qt_docs_dir
-set qt_docs_dir         ${prefix}/share/doc/${qt_name}
-
+    global qt_docs_dir
 # standard Qt plugins directory
-global qt_plugins_dir
-set qt_plugins_dir      ${prefix}/share/${qt_name}/plugins
-
+    global qt_plugins_dir
 # standard Qt mkspecs directory
-global qt_mkspecs_dir
-set qt_mkspecs_dir      ${prefix}/share/${qt_name}/mkspecs
-
+    global qt_mkspecs_dir
 # standard Qt imports directory
-global qt_imports_dir
-set qt_imports_dir      ${prefix}/share/${qt_name}/imports
-
+    global qt_imports_dir
 # standard Qt includes directory
-global qt_includes_dir
-set qt_includes_dir     ${prefix}/include/${qt_name}
-
+    global qt_includes_dir
 # standard Qt libraries directory
-global qt_libs_dir
-set qt_libs_dir         ${qt_dir}/lib
-
+    global qt_libs_dir
 # standard Qt libraries directory
-global qt_frameworks_dir
-set qt_frameworks_dir   ${qt_dir}/Library/Frameworks
-
+    global qt_frameworks_dir
+    global qt_frameworks_dir_rel
 # standard Qt non-.app executables directory
-global qt_bins_dir
-set qt_bins_dir         ${qt_dir}/bin
-
-# standard Qt .app executables directory, if created
-global qt_apps_dir
-set qt_apps_dir         ${applications_dir}/Qt4
-
+    global qt_bins_dir
 # standard Qt data directory
-global qt_data_dir
-set qt_data_dir         ${prefix}/share/${qt_name}
-
+    global qt_data_dir
 # standard Qt translations directory
-global qt_translations_dir
-set qt_translations_dir ${prefix}/share/${qt_name}/translations
-
+    global qt_translations_dir
 # standard Qt sysconf directory
-global qt_sysconf_dir
-set qt_sysconf_dir      ${prefix}/etc/${qt_name}
-
+    global qt_sysconf_dir
 # standard Qt examples directory
-global qt_examples_dir
-set qt_examples_dir     ${prefix}/share/${qt_name}/examples
-
+    global qt_examples_dir
 # standard Qt demos directory
-global qt_demos_dir
-set qt_demos_dir        ${prefix}/share/${qt_name}/demos
-
+    global qt_demos_dir
 # standard CMake module directory for Qt-related files
-global qt_cmake_module_dir
-set qt_cmake_module_dir ${qt_libs_dir}/cmake
-
+    global qt_cmake_module_dir
 # standard qmake command location
-global qt_qmake_cmd
-set qt_qmake_cmd        ${qt_dir}/bin/qmake
+    global qt_qmake_cmd
+# standard moc command location
+    global qt_moc_cmd
+# standard uic command location
+    global qt_uic_cmd
+# standard lrelease command location
+    global qt_lrelease_cmd
+
+global qt4_is_concurrent
+if {![variant_isset exclusive]} {
+    if {![info exists building_qt4] || ![info exists name] || ${name} ne "qt4-mac" || ${subport} eq "${name}-transitional"} {
+        #exec ls -l ${prefix}/libexec/${qt_name}/bin/qmake
+        if {[file exists ${prefix}/libexec/${qt_name}/bin/qmake]} {
+            # we have a "concurrent" install, which means we must look for the various components
+            # in different locations (esp. qmake)
+            set qt4_is_concurrent   1
+            set auto_concurrent 1
+        }
+    } else {
+        if {![info exists qt4_is_concurrent]} {
+            ui_msg "NB:\nQt4 has been or will be installed in concurrent mode\n"
+        }
+        # we're asking for the standard concurrent install. No need to guess anything, give the user what s/he wants
+        set qt4_is_concurrent   1
+        set auto_concurrent     1
+    }
+}
+
+if {[info exists qt4_is_concurrent]} {
+    set qt_dir              ${prefix}/libexec/${qt_name}
+    set qt_dir_rel          libexec/${qt_name}
+    set qt_docs_dir         ${prefix}/share/doc/${qt_name}
+    set qt_plugins_dir      ${prefix}/share/${qt_name}/plugins
+    set qt_mkspecs_dir      ${prefix}/share/${qt_name}/mkspecs
+    set qt_imports_dir      ${prefix}/share/${qt_name}/imports
+    set qt_includes_dir     ${prefix}/include/${qt_name}
+    set qt_libs_dir         ${qt_dir}/lib
+    set qt_frameworks_dir   ${qt_dir}/Library/Frameworks
+    set qt_bins_dir         ${qt_dir}/bin
+    set qt_data_dir         ${prefix}/share/${qt_name}
+    set qt_translations_dir ${prefix}/share/${qt_name}/translations
+    set qt_sysconf_dir      ${prefix}/etc/${qt_name}
+    set qt_examples_dir     ${prefix}/share/${qt_name}/examples
+    set qt_demos_dir        ${prefix}/share/${qt_name}/demos
+    # no need to change the cmake_module_dir, though I'd have preferred to
+    # put it into ${prefix}/lib/cmake as qt5-mac also does, and which is the place Linux uses
+    set qt_cmake_module_dir ${prefix}/share/cmake/Modules
+    set qt_qmake_cmd        ${qt_dir}/bin/qmake
+    set qt_moc_cmd          ${qt_dir}/bin/moc
+    set qt_uic_cmd          ${qt_dir}/bin/uic
+    set qt_lrelease_cmd     ${qt_dir}/bin/lrelease
+} else {
+    set qt_dir              ${prefix}
+    set qt_dir_rel          ""
+    set qt_docs_dir         ${qt_dir}/share/doc/${qt_name}
+    set qt_plugins_dir      ${qt_dir}/share/${qt_name}/plugins
+    set qt_mkspecs_dir      ${qt_dir}/share/${qt_name}/mkspecs
+    set qt_imports_dir      ${qt_dir}/share/${qt_name}/imports
+    set qt_includes_dir     ${qt_dir}/include
+    set qt_libs_dir         ${qt_dir}/lib
+    set qt_frameworks_dir   ${qt_dir}/Library/Frameworks
+    set qt_bins_dir         ${qt_dir}/bin
+    set qt_data_dir         ${qt_dir}/share/${qt_name}
+    set qt_translations_dir ${qt_dir}/share/${qt_name}/translations
+    set qt_sysconf_dir      ${qt_dir}/etc/${qt_name}
+    set qt_examples_dir     ${qt_dir}/share/${qt_name}/examples
+    set qt_demos_dir        ${qt_dir}/share/${qt_name}/demos
+    set qt_cmake_module_dir ${qt_dir}/share/cmake/Modules
+    set qt_qmake_cmd        ${qt_dir}/bin/qmake
+    set qt_moc_cmd          ${qt_dir}/bin/moc
+    set qt_uic_cmd          ${qt_dir}/bin/uic
+    set qt_lrelease_cmd     ${qt_dir}/bin/lrelease
+}
+set qt_frameworks_dir_rel   ${qt_dir_rel}/Library/Frameworks
+
+# standard Qt .app executables directory, if created
+global qt_apps_dir
+set qt_apps_dir         ${applications_dir}/Qt4
 
 # standard qmake spec
 global qt_qmake_spec
 set qt_qmake_spec       macx-g++
 
-# standard moc command location
-global qt_moc_cmd
-set qt_moc_cmd          ${qt_dir}/bin/moc
-
-# standard uic command location
-global qt_uic_cmd
-set qt_uic_cmd          ${qt_dir}/bin/uic
-
-# standard lrelease command location
-global qt_lrelease_cmd
-set qt_lrelease_cmd     ${qt_dir}/bin/lrelease
-
 # standard PKGCONFIG path
 global qt_pkg_config_dir
 set qt_pkg_config_dir   ${prefix}/lib/pkgconfig
@@ -163,10 +200,18 @@ if {![info exists building_qt4]} {
         # see if the framework install exists, and if so depend on it;
         # if not, depend on the library version
 
-        if {[file exists ${qt_frameworks_dir}/QtCore/QtCore]} {
-            depends_lib-append path:Library/Frameworks/QtCore/QtCore:qt4-mac
+        if {[info exists qt4_is_concurrent]} {
+            if {[file exists ${qt_frameworks_dir}/QtCore/QtCore]} {
+                depends_lib-append path:libexec/${qt_name}/Library/Frameworks/QtCore/QtCore:qt4-mac
+            } else {
+                depends_lib-append path:libexec/${qt_name}/lib/libQtCore.4.dylib:qt4-mac
+            }
         } else {
-            depends_lib-append path:lib/libQtCore.4.dylib:qt4-mac
+            if {[file exists ${qt_frameworks_dir}/QtCore/QtCore]} {
+                depends_lib-append path:Library/Frameworks/QtCore/QtCore:qt4-mac
+            } else {
+                depends_lib-append path:lib/libQtCore.4.dylib:qt4-mac
+            }
         }
 
     } else {
